### Function

# ECal ComponentPropertyBag new_from_component

since: 3.34

#### Declaration [src]

    ECalComponentPropertyBag*
    e_cal_component_property_bag_new_from_component (
      const ICalComponent* component,
      ECalComponentPropertyBagFilterFunc func,
      gpointer user_data
    )

#### Description [src]

Creates a new `ECalComponentPropertyBag`, filled with properties from the `component`, for which the `func` returned `TRUE`. When the `func` is `NULL`, all the properties are included.

Free the structure with e_cal_component_property_bag_free(), when no longer needed.

Available since: 3.34

#### Parameters

`component`

  Type: `None`

  An `ICalComponent` containing the properties to fill the bag with.

  The data is owned by the caller of the function.

`func`

  Type: `ECalComponentPropertyBagFilterFunc`

  An optional %ECalComponentPropertyBagFilterFunc callback.

`user_data`

  Type: `gpointer`

  User data for the `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentPropertyBag`

A newly allocated `ECalComponentPropertyBag`.

The caller of the function takes ownership of the data, and is responsible for freeing it.